$ErrorActionPreference = 'Stop'; # stop on all errors

$pp = Get-PackageParameters

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://www.acarda.com/downloads/acardaoutbound/AcardaOutboundAgentSetup-7.4.0.2988.exe"
$silentArgs = "/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-"

if ($pp["server"]) { 
Write-Host "Configure agent for server $($pp['server'])"
$silentArgs += " /server $($pp['server'])" 
}

if ($pp["port"]) { 
Write-Host "Configure agent for port $($pp['port'])"
$silentArgs += " /port $($pp['port'])" 
}

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  softwareName  = 'Acarda Outbound Agent'

  checksum      = 'B361D82402C085B4CBA179B340A32DDD61D16518B9EB6DDB2522027E92199327'
  checksumType  = 'sha256' #default is md5, can also be sha1, sha256 or sha512

  silentArgs   = $silentArgs
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
